package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag720;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT720Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag44DCreator extends AbsTagCreate {

     private MT720Creator mt720Creator;

    public Tag44DCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt720Creator= (MT720Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag44DValue = mt720Creator.getShipmentPeriod();
        mt720Creator.set("44D", tag44DValue);
    }
}
